import java.util.*;

public class DemoMap
{
    
    public static void setDemo() {
        SortedSet<Company> set = new TreeSet<>(new CompanyNameComparator());
        
        set.add(new Company("A", 333));
        set.add(new Company("B", 222));
        set.add(new Company("B", 111));
        
        System.out.println(set);
    }
    
    public static void mapDemo() {
        SortedMap<Company,Integer> map = new TreeMap<>();
        
        Company c1 = new Company("A", 1);
        Company c2 = new Company("B", 2);
        Company c3 = new Company("C", 3);
        Company c4 = new Company("A", 3);
        Company c5 = new Company("A", 1);
        Company c6 = new Company("D", 1);
        
        map.put(c1, 200);
        map.put(c1, 300);
        map.put(c2, 200);
        map.put(c3, 100);


        
        Map<Company, List<String>> map2 = new HashMap<>();
        map2.put(c1, new ArrayList<>());
        map2.get(c1).add("Radek Oslejsek");
        
        System.out.println(map);
        map.values().remove(200);
        System.out.println(map);
    }
}
